//
// Copyright 2007 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wEditLocalPane:
//	Edit the file text of the client file on local workspace


#ifndef p4wEditLocalPane_H
#define p4wEditLocalPane_H


#include "p4wPane.h"


class p4wEditLocalPane : public p4wPane {

public:

	p4wEditLocalPane( p4wView & ParentView, p4wRequest & Request );
	
	virtual ~p4wEditLocalPane();

	//
	// Render functions.
	
	virtual	void Begin();
	virtual	void Render( StrDict * varList );
	virtual	void End();

	char *	fMsg;
	
private:
	int fSeenData;
};

#endif // p4wEditLocalPane_H
